July 16, 2005

Nutz and Boltz

Posted in Commentary at 10:02 pm by Michael Sweeney Media

Well.. I had to take a breather and go get my copy of Harry Potter at midnight. It was alot of fun and to be honest, there were some not so balanced people wandering around there. But I digress…

So, I installed the newest developement kit (XCode) from Apple to get fun things like gcc so I can compile some non-apple approved software 🙂 Like Ettercap, just as an example of course. So I get the SDK installed and I find a site called “Darwinports” which gives the tools to use the BSD port ability to install packages(ports)

I used the binary installation for Tiger but I did have to use this :

export PATH=$PATH:/opt/local/bin

This was all I need to configure for port to work as you can see here:

sudo port install ettercap-ng 0.7.1

And Port was off and running downloading the various requirements that ettercap needed.

MAC-G5:~ mikesweeney$ sudo port install ettercap-ng 0.7.1

—> Fetching libnet11
—> Attempting to fetch libnet-1.1.2.1.tar.gz from http://www.packetfactory.net/libnet/dist/

—> Verifying checksum(s) for libnet11

—> Extracting libnet11

—> Configuring libnet11
—> Building libnet11 with target all
—> Staging libnet11 into destroot
—> Packaging tgz archive for libnet11 1.1.2.1_0
—> Installing libnet11 1.1.2.1_0
—> Activating libnet11 1.1.2.1_0
—> Cleaning libnet11
—> Fetching libpcap
—> Attempting to fetch libpcap-0.8.3.tar.gz from http://www.tcpdump.org/release/

Advertisements

1 Comment »

  1. Anonymous said,

    From the ettercap distro readme, comes a useful tip:

    thanks to ‘rgovostes’ for this instructions.

    Launch FinkCommander and search for the following software. Select the
    appropriate files and press command-shift-i to begin installing them – it’ll
    take a long time, don’t let your machine fall asleep. There may be additional
    packages which you should install, such as ones with -dev or -shlibs
    extensions. There may be multiple versions of the software available – if in
    doubt, go with the latest copy.

    autoconf >= 2.57-2
    automake >= 1.7.6-2
    bison >= 1.875-1
    dlcompat >= 20030629-15
    libnet >= 1.1.2.1-1
    libpcap >= 0.8.1-1
    libpoll >= 1.4-11
    libtool >= 1.5-1
    ncurses >= 5.3-20031018-2
    openssl >= 0.9.7c-3
    pcre >= 4.3-1
    pkgconfig >= 0.15.0-2

    :),
    Shagghie


Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: